package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 提前批录取对象 b_busi_wish_university_submit_pre_enroll
 *
 * @author voluntary
 * @date 2023-03-12
 */
public class BusiWishUniversitySubmitPreEnroll extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 标签 */
    @Excel(name = "标签")
    private String tag;

    /** 标签 */
    @Excel(name = "标签")
    private String subTag;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String source;

    /** 院校招生代码 */
    @Excel(name = "院校招生代码")
    private String collegeCode;

    /** 年份 */
    @Excel(name = "年份")
    private String year;
    /** 类型(1-common普通类，2-art艺术类，3-sports体育类，4-vhs职高对口类) **/
    private String category;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 院校 */
    @Excel(name = "院校")
    private String universityId;

    /** 院校编码 */
    @Excel(name = "院校编码")
    private String universityCode;

    /** 院校名 */
    @Excel(name = "院校名")
    private String universityName;

    /** 专业编码 */
    @Excel(name = "专业编码")
    private String marjorCode;

    /** 专业名 */
    @Excel(name = "专业名")
    private String marjorName;

    /** 包含专业 */
    @Excel(name = "包含专业")
    private String marjorBelongs;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String marjorDirection;

    /** 选科组合 */
    @Excel(name = "选科组合")
    private String course;
    private String course0;
    private String course1;

    /** 组别 */
    @Excel(name = "组别")
    private String groups;

    /** 组别名称 */
    @Excel(name = "组别名称")
    private String groupsName;

    /** udid */
    @Excel(name = "udid")
    private String udid;

    /** pudid */
    @Excel(name = "pudid")
    private String pudid;

    /** 数据类型（p表示专业，g表示专业组） */
    @Excel(name = "数据类型", readConverterExp = "p=表示专业，g表示专业组")
    private String dataType;
    private String type;//物理、历史；文科、理科

    /** 录取最低分 */
    @Excel(name = "录取最低分")
    private String score;

    /** 录取最低分位次 */
    @Excel(name = "录取最低分位次")
    private String seat;

    /** 录取最高分 */
    @Excel(name = "录取最高分")
    private String scoreRealTop;

    /** 录取最高分位次 */
    @Excel(name = "录取最高分位次")
    private String seatRealTop;

    /** 招生人数 */
    @Excel(name = "招生人数")
    private String num;

    /** 录取人数 */
    @Excel(name = "录取人数")
    private String numReal;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Long status;
    private String keyword;
    private List<String> pudids;

    public List<String> getPudids() {
        return pudids;
    }

    public void setPudids(List<String> pudids) {
        this.pudids = pudids;
    }

    private List<BusiWishUniversitySubmitPreEnroll> subMajors;

    public List<BusiWishUniversitySubmitPreEnroll> getSubMajors() {
        return subMajors;
    }

    public void setSubMajors(List<BusiWishUniversitySubmitPreEnroll> subMajors) {
        this.subMajors = subMajors;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getSubTag() {
        return subTag;
    }

    public void setSubTag(String subTag) {
        this.subTag = subTag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCourse0() {
        return course0;
    }

    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse1() {
        return course1;
    }

    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTag(String tag)
    {
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }
//    public void setTagBak(String tagBak)
//    {
//        this.tagBak = tagBak;
//    }
//
//    public String getTagBak()
//    {
//        return tagBak;
//    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode()
    {
        return collegeCode;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setUniversityId(String universityId)
    {
        this.universityId = universityId;
    }

    public String getUniversityId()
    {
        return universityId;
    }
    public void setUniversityCode(String universityCode)
    {
        this.universityCode = universityCode;
    }

    public String getUniversityCode()
    {
        return universityCode;
    }
    public void setUniversityName(String universityName)
    {
        this.universityName = universityName;
    }

    public String getUniversityName()
    {
        return universityName;
    }
    public void setMarjorCode(String marjorCode)
    {
        this.marjorCode = marjorCode;
    }

    public String getMarjorCode()
    {
        return marjorCode;
    }
    public void setMarjorName(String marjorName)
    {
        this.marjorName = marjorName;
    }

    public String getMarjorName()
    {
        return marjorName;
    }
    public void setMarjorBelongs(String marjorBelongs)
    {
        this.marjorBelongs = marjorBelongs;
    }

    public String getMarjorBelongs()
    {
        return marjorBelongs;
    }
    public void setMarjorDirection(String marjorDirection)
    {
        this.marjorDirection = marjorDirection;
    }

    public String getMarjorDirection()
    {
        return marjorDirection;
    }
    public void setCourse(String course)
    {
        this.course = course;
    }

    public String getCourse()
    {
        return course;
    }
    public void setGroups(String groups)
    {
        this.groups = groups;
    }

    public String getGroups()
    {
        return groups;
    }
    public void setGroupsName(String groupsName)
    {
        this.groupsName = groupsName;
    }

    public String getGroupsName()
    {
        return groupsName;
    }

    public void setUdid(String udid)
    {
        this.udid = udid;
    }

    public String getUdid()
    {
        return udid;
    }
    public void setPudid(String pudid)
    {
        this.pudid = pudid;
    }

    public String getPudid()
    {
        return pudid;
    }
    public void setDataType(String dataType)
    {
        this.dataType = dataType;
    }

    public String getDataType()
    {
        return dataType;
    }
    public void setScore(String score)
    {
        this.score = score;
    }

    public String getScore()
    {
        return score;
    }
    public void setSeat(String seat)
    {
        this.seat = seat;
    }

    public String getSeat()
    {
        return seat;
    }
    public void setScoreRealTop(String scoreRealTop)
    {
        this.scoreRealTop = scoreRealTop;
    }

    public String getScoreRealTop()
    {
        return scoreRealTop;
    }
    public void setSeatRealTop(String seatRealTop)
    {
        this.seatRealTop = seatRealTop;
    }

    public String getSeatRealTop()
    {
        return seatRealTop;
    }
    public void setNum(String num)
    {
        this.num = num;
    }

    public String getNum()
    {
        return num;
    }
    public void setNumReal(String numReal)
    {
        this.numReal = numReal;
    }

    public String getNumReal()
    {
        return numReal;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tag", getTag())
//            .append("tagBak", getTagBak())
            .append("source", getSource())
            .append("collegeCode", getCollegeCode())
            .append("year", getYear())
            .append("location", getLocation())
            .append("universityId", getUniversityId())
            .append("universityCode", getUniversityCode())
            .append("universityName", getUniversityName())
            .append("marjorCode", getMarjorCode())
            .append("marjorName", getMarjorName())
            .append("marjorBelongs", getMarjorBelongs())
            .append("marjorDirection", getMarjorDirection())
            .append("course", getCourse())
            .append("groups", getGroups())
            .append("groupsName", getGroupsName())
//            .append("udid", getUdid())
//            .append("pudid", getPudid())
            .append("dataType", getDataType())
            .append("score", getScore())
            .append("seat", getSeat())
            .append("scoreRealTop", getScoreRealTop())
            .append("seatRealTop", getSeatRealTop())
            .append("num", getNum())
            .append("numReal", getNumReal())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
